commonmark-extensions-0.2.4: Pure Haskell commonmark parser.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Commonmark.Extensions.Emoji

# Documentation

class HasEmoji a where #

Methods

emoji :: Text -> Text -> a #

#### Instances

Instances details

HasEmoji (Html a) # |
Instance details Defined in Commonmark.Extensions.Emoji Methods emoji :: Text -> Text -> Html a #
(HasEmoji i, Monoid i) => HasEmoji (WithSourceMap i) # |
Instance details Defined in Commonmark.Extensions.Emoji Methods emoji :: Text -> Text -> WithSourceMap i #

emojiSpec :: (Monad m, IsBlock il bl, IsInline il, HasEmoji il) => SyntaxSpec m il bl #